# HTML documentation generator

The HTML documentation generator is developed using BOUML and is an example of a program implemented simultaneously in C++ and Java.

As it is signified by its name, the HTML documentation generator generates HTML pages describing the object on which it is applied and its sub objects, with some indexes. When the generator is started some dialogs appear to configure the result, you may also set them using the options, see below

The diagrams are produced in the generated page(s), the used scale and picture size are the default ones except when there are set (for instance see use case diagram).

The HTML code generator manages the following options (in order) :

- -flat, optional, to produce the class definitions in index.html rather than in separate files.

- -svg, optional, to produce SVG images rather than PNG ones.

- generated Html files directory (must not contains space) mandatory if the next arguments are given (except the port number given by Bouml itself)

- -del_html, optional, to remove already existing HTML files in the specified directory

- -del_css, optional, to replace the file style.css if it already exists in the specified directory, do not use this option if you have your own styles. Of course in all the cases style.css is created if it doesn't exist

In case the generated files directory is specified the dialogs don't appears, this allows to generate the HTML documentation without any manual action.

These options may be set through the Tool setting dialog, or when you ask to start a plug-out when Bouml is lauched (see here).

Previous : XMI import

Next : genpro